com.google.cloud.dataflow.examples.cookbook

## Class MaxPerKeyExamples

- java.lang.Object
- - com.google.cloud.dataflow.examples.cookbook.MaxPerKeyExamples

    public class MaxPerKeyExamples
    extends Object

An example that reads the public samples of weather data from BigQuery, and finds the maximum temperature ('mean_temp') for each month.

Concepts: The 'Max' statistical combination function, and how to find the max per key group.

Note: Before running this example, you must create a BigQuery dataset to contain your output table.

To execute this pipeline locally, specify general pipeline configuration:

       --project=YOUR_PROJECT_ID

and the BigQuery table for the output, with the form

       --output=YOUR_PROJECT_ID:DATASET_ID.TABLE_ID

To execute this pipeline using the Dataflow service, specify pipeline configuration:

       --project=YOUR_PROJECT_ID
       --stagingLocation=gs://YOUR_STAGING_DIRECTORY
       --runner=BlockingDataflowPipelineRunner

and the BigQuery table for the output:

       --output=YOUR_PROJECT_ID:DATASET_ID.TABLE_ID

The BigQuery input table defaults to `clouddataflow-readonly:samples.weather_stations` and can be overridden with `--input`.

### Constructor Summary

Constructors
Constructor and Description
`MaxPerKeyExamples()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxPerKeyExamples

    public MaxPerKeyExamples()

### Method Detail

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`